<ion-card>
  <ion-card-content>
    <ion-grid class="ion-no-padding">
      <ion-row class="align">
        <ion-col class="ion-text-left">
          <input
            type="file"
            id="txtFileUpload"
            (change)="fileChangedEvent($event)"
            accept=".csv"
          />
        </ion-col>
        <ion-col>
          <mat-form-field class="example-full-width transform">
            <input
              matInput
              [matDatepicker]="claimsReceivedDate"
              [formControl]="date"
              placeholder="Serial Assigned Date"
              readonly
              (dateChange)="claimsDate($event)"
            />
            <mat-datepicker-toggle
              matSuffix
              [for]="claimsReceivedDate"
            ></mat-datepicker-toggle>
            <mat-datepicker
              #claimsReceivedDate
              disabled="false"
            ></mat-datepicker>
          </mat-form-field>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-md="6">
          <mat-form-field class="example-full-width">
            <input
              type="text"
              placeholder="Select Warehouse"
              matInput
              [formControl]="warehouseFormControl"
              [matAutocomplete]="auto"
            />
            <mat-autocomplete
              autoActiveFirstOption
              #auto="matAutocomplete"
              [displayWith]="getOptionText"
            >
              <mat-option
                *ngFor="let option of filteredWarehouseList | async"
                [value]="option.name"
              >
                {{ option.name }}
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card-content>
</ion-card>

<ion-card>
  <ion-card-header>
    <ion-row class="align">
      <ion-col class="ion-text-left">
        <ion-card-title>
          <ion-text color="tertiary">
            Items
          </ion-text>
        </ion-card-title>
      </ion-col>
      <ion-col class="ion-text-right" size="auto">
        <ion-button
          color="tertiary"
          fill="outline"
          (click)="submitDeliveryNote()"
        >
          Submit
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-card-header>
  <ion-card-content class="ion-no-padding">
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="position">
        <th mat-header-cell *matHeaderCellDef>Claim No.</th>
        <td mat-cell *matCellDef="let element">
          Claim-000{{ element.position }}
        </td>
      </ng-container>

      <ng-container matColumnDef="serial">
        <th mat-header-cell *matHeaderCellDef>Serial No</th>
        <td
          mat-cell
          *matCellDef="let element"
          [satPopoverAnchor]="p"
          (click)="p.open()"
        >
          <ng-container *ngIf="element.serial_no">
            {{ element.serial_no }}
          </ng-container>
          <span class="add-comment" *ngIf="!element.serial_no">
            Assign Serial
          </span>
          <sat-popover
            #p
            hasBackdrop
            xAlign="start"
            yAlign="start"
            (closed)="updateSerial(element, $event)"
          >
            <edit-table [value]="element.serial_no"> </edit-table>
          </sat-popover>
        </td>
      </ng-container>

      <ng-container matColumnDef="item">
        <th mat-header-cell *matHeaderCellDef>Item</th>
        <td mat-cell *matCellDef="let element">{{ element.item }}</td>
      </ng-container>

      <ng-container matColumnDef="company">
        <th mat-header-cell *matHeaderCellDef>Company</th>
        <td mat-cell *matCellDef="let element">{{ element.company }}</td>
      </ng-container>

      <ng-container matColumnDef="supplier">
        <th mat-header-cell *matHeaderCellDef>Supplier</th>
        <td mat-cell *matCellDef="let element">{{ element.supplier }}</td>
      </ng-container>

      <ng-container matColumnDef="claimsReceivedDate">
        <th mat-header-cell *matHeaderCellDef>Serial Assigned Date</th>
        <td mat-cell *matCellDef="let element">
          {{ element.claimsReceivedDate }}
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </ion-card-content>
</ion-card>
